classification
Title: Add mimetype for extension .json
Type: enhancement Stage: backport needed
Components: Library (Lib) Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: quentel, r.david.murray, sijis
Priority: normal Keywords:

Created on 2017-07-01 19:31 by quentel, last changed 2017-09-07 00:04 by r.david.murray.

Pull Requests
URL Status Linked Edit
PR 3048 merged e4r7hbug, 2017-08-09 19:00
PR 3394 merged python-dev, 2017-09-06 21:46
PR 3401 merged python-dev, 2017-09-06 23:30
Messages (5)
msg297494 - (view) Author: Pierre Quentel (quentel) * Date: 2017-07-01 19:31
I propose to add a mapping of file extension .json to mime type "application/json".
This is registered in https://www.iana.org/assignments/media-types
msg297527 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-07-03 00:06
Per our current policy with respect to mime types, this should be added to all currently maintained versions.
msg300260 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-08-14 18:39
New changeset 8204b903683f9e0f037ccfaa87622716019914d7 by R. David Murray (Nate Tangsurat) in branch 'master':
bpo-30824: Add mimetype for .json (#3048)
https://github.com/python/cpython/commit/8204b903683f9e0f037ccfaa87622716019914d7
msg301531 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-09-06 22:31
New changeset 47e5f791223773dd46273153e9fa5b48f848f0c9 by R. David Murray (Miss Islington (bot)) in branch '2.7':
[2.7] bpo-30824: Add mimetype for .json (GH-3048) (#3394)
https://github.com/python/cpython/commit/47e5f791223773dd46273153e9fa5b48f848f0c9
msg301546 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-09-07 00:04
New changeset e29ab7e75138e198b51c8bd04afa16d9d2c976a5 by R. David Murray (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-30824: Add mimetype for .json (GH-3048) (#3401)
https://github.com/python/cpython/commit/e29ab7e75138e198b51c8bd04afa16d9d2c976a5
History
Date User Action Args
2017-09-07 00:04:18r.david.murraysetmessages: + msg301546
2017-09-06 23:30:08python-devsetpull_requests: + pull_request3407
2017-09-06 22:31:38r.david.murraysetmessages: + msg301531
2017-09-06 21:46:40python-devsetpull_requests: + pull_request3400
2017-08-14 18:40:22r.david.murraysetstage: needs patch -> backport needed
2017-08-14 18:39:48r.david.murraysetmessages: + msg300260
2017-08-09 19:00:31e4r7hbugsetpull_requests: + pull_request3082
2017-08-09 18:55:44sijissetnosy: + sijis
2017-07-03 00:06:35r.david.murraysetstage: needs patch
messages: + msg297527
versions: + Python 2.7, Python 3.5, Python 3.6
2017-07-01 19:31:36quentelcreate